Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.simpleAccesstracking
Class JavaScriptAdder

    java.lang.Object
      com.ibm.wbi.Meg
          com.ibm.wbi.Editor
              com.ibm.wbi.protocol.http.HttpEditor
                  scone.proxy.HtmlTokenEditor
                      scone.simpleAccesstracking.JavaScriptAdder

All Implemented Interfaces:
  java.util.EventListener, com.ibm.wbi.RequestListener, java.io.Serializable

public class JavaScriptAdder
extends HtmlTokenEditor

Adds line in header to get JavaScript code from AccessTrackingMeg, which tracks user actions.

The following Code is inserted:
<SCRIPT Language='JavaScript1.2' SRC='http://tracking.scone.de/_id123'></SCRIPT> where 123 is the nodeId

Author:
  Harald Weinreich, Volkert Buchmann
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `COPYRIGHT`

Fields inherited from class scone.proxy.HtmlTokenEditor
`e`

Fields inherited from class com.ibm.wbi.Meg
`EDITOR, GENERATOR, MONITOR, REQUEST_EDITOR, UNDEFINED`

Constructor Summary
`JavaScriptAdder()`

Method Summary
`void` | `handleRequest(SconePipe pipe)` tries to add the preamble: before </head>-Tag before <body>-Tag before <frameset>-Tag before heading before table before link (<A> or <AREA>-Tag before image before form before preformatted text

Methods inherited from class scone.proxy.HtmlTokenEditor
`handleRequest, setResponseHeaderField`

Methods inherited from class com.ibm.wbi.Editor
`getType`

Methods inherited from class com.ibm.wbi.Meg
`forwardRequest, getCondition, getEnabled, getMegProperty, getMegProperty, getMegPropertyKeys, getName, getPlugin, getPriority, getSystemContext, initialize, initialize, isEnabled, isMegApplicable, loadMegResources, run, setCondition, setEnabled, setMegProperty, setName, setPriority, setSystemContext, setup, setup, setup, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COPYRIGHT

    public static final java.lang.String COPYRIGHT

See Also:
  Constant Field Values

Constructor Detail

### JavaScriptAdder

    public JavaScriptAdder()

Method Detail

### handleRequest

    public void handleRequest(SconePipe pipe)

  tries to add the preamble:
  1. before </head>-Tag
  2. before <body>-Tag
  3. before <frameset>-Tag
  4. before heading
  5. before table
  6. before link (<A> or <AREA>-Tag
  7. before image
  8. before form
  9. before preformatted text

  Specified by:
    `handleRequest` in class `HtmlTokenEditor`
  Parameters:
    `pipe` - the SconePipe containing the document.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD